/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

/*
  Copyright (C) 2006 Dario Abatianni <eisfuchs@tigress.com>
  Copyright (C) 2006 John Tapsell <johnflux@gmail.com>
*/

#ifndef QUICKBUTTONSCONFIG_H
#define QUICKBUTTONSCONFIG_H

#include <tqlistview.h>

#include "quickbuttons_preferencesui.h"
#include "konvisettingspage.h"


class QuickButtons_Config : public QuickButtons_ConfigUI, public KonviSettingsPage
{
  TQ_OBJECT
  

  public:
    explicit QuickButtons_Config(TQWidget* parent, const char* name=NULL);
    ~QuickButtons_Config();

    virtual void saveSettings();
    virtual void loadSettings();
    virtual void restorePageToDefaults();

    virtual bool hasChanged();

  signals:
    void modified();

  protected slots:
    void entrySelected(TQListViewItem* quickButtonEntry);
    void nameChanged(const TQString& newName);
    void actionChanged(const TQString& newAction);
    void addEntry();
    void removeEntry();

  protected:
    void setButtonsListView(const TQStringList &buttonList);

    bool m_newItemSelected;

    TQStringList m_oldButtonList;
    TQStringList currentButtonList();
};

#endif
